- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Coordinate\Dimension

class Dimension

Dimension object, used for manipulating width and height couples

## Methods

| __construct(integer $width, integer $height) |
integer | getWidth() Returns width. |
integer | getHeight() Returns height. |
AspectRatio | getRatio(type $forceStandards = true) Returns the ratio. |

## Details

###
at line 30
`public __construct(integer $width, integer $height)`

#### Parameters

integer | $width |
integer | $height |

#### Exceptions

InvalidArgumentException | when one of the parameteres is invalid

###
at line 45
`public integer getWidth()`

Returns width.

#### Return Value

integer |

###
at line 55
`public integer getHeight()`

Returns height.

#### Return Value

integer |

###
at line 67
`public AspectRatio getRatio(type $forceStandards = true)`

Returns the ratio.

#### Parameters

type | $forceStandards | Whether or not force the use of standards ratios;

#### Return Value

AspectRatio |